function re=isdirepeated(s);
%ISDIREPEATED returns 1 if the string s has repeats or near-repeats.
%
%  RE=ISDIREPEATED(SEQ) examines the sequence SEQ and find out if it is
%  formed by repeated dimers or if it is a near repaet.
%
%      Example:
%      seq='actccgttcggatttacgt';
%      re=isdirepeated(seq);
%
% See also diff_nmers_sign, repeat_filter, nmercount, dimercount.
%
% Done by Chi Nguyen 04/19/2005

 len=length(s); 
 re=1;
 if len < 2 
     disp('the length of string must be greater than 2');
 elseif len==2 
     re=0;
     else
        s1=s(1:2);
        for i=3:2:len-1
            s2=s(i:i+1);
            re=strcmp(s1,s2);
            if re==0  
                break; 
            end
        end
 end
 if re==0
     tmp1=''; tmp2='';
     for i=2:len
         tmp1=[tmp1,s(1)];
         tmp2=[tmp2,s(2)];
     end
     tmp1=[tmp1,s(len)];
     tmp2=[s(1),tmp2];
     if strcmp(s,tmp1) | strcmp(s,tmp2)  
         re=1; 
     end
 end