function [anmers,abuckets,abuc1,abuc2]=repeat_filter(nmers,buckets,buc1,buc2);
%REPEAT_FILTER filter out all the nmers with repeats or near repeats in a set 
%of nmers.
%
%  [ANMERS,ABUCKETS,ABUC1,ABUC2]=REPEAT_FILTER(NMERS,BUCKETS,BUC1,BUC2) 
%  filter out all the nmers with reapeats. It returns the nmer sequences NMERS 
%  with thei own attributes (see the diff_nmers_sign): ABUCKETS, BUC1 and 
%  BUC2.
%
%  Example:
%      seq1='actccgttcggatttacgt';
%      seq2='accttggattgatgatgatagctcatg';
%      [nmers,buckets,buc1,buc2] = diff_nmers_sign(seq1,seq2,3,10)
%      [anmers,abuckets,abuc1,abuc2]=repeat_filter(nmers,buckets,buc1,buc2)     
%
% See also diff_nmers_sign, nmercount, basecount, codoncount, dimercount.
%
% Done by Chi Nguyen 04/19/2005

j=0;
for i=1:length(buckets)
    s=char(nmers(i,:));
    if isdirepeated(s)==0 
        j=j+1;
        anmers(j,:)=nmers(i,:);
        abuckets(j,1)=buckets(i,1);
        abuc1(j,1)=buc1(i,1);
        abuc2(j,1)=buc2(i,1);
    end
end
if j==0
        anmers=''; abuckets=''; abuc1=''; abuc2='';
end